| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

LT_TwoWire Class Reference

## Detailed Description

Definition at line 36 of file LT_Wire.h.

Inheritance diagram for LT_TwoWire:

## Public Member Functions
| LT_TwoWire ()
void | begin (uint32_t speed)
| Initiate Prep 10000 to 400000. More...
uint8_t | requestFrom (uint8_t address, uint8_t *acceptBuffer, uint16_t quantity)
| Read from a slave I2C device. More...
uint8_t | requestFrom (uint8_t address, uint8_t *acceptBuffer, uint16_t quantity, uint8_t sendStop)
| Read from a slave I2C device. More...
uint8_t | requestFrom (int address, uint8_t *acceptBuffer, int quantity)
| Read from a slave I2C device. More...
uint8_t | requestFrom (int address, uint8_t *acceptBuffer, int quantity, int sendStop)
| Read from a slave I2C device. More...

## Member Function Documentation

## ◆ begin()

void LT_TwoWire::begin | ( | uint32_t | speed | ) |

Initiate Prep 10000 to 400000.

Returns
  void

Definition at line 52 of file LT_Wire.cpp.

## ◆ requestFrom() [1/4]

uint8_t LT_TwoWire::requestFrom | ( | uint8_t | address,
|  | uint8_t * | acceptBuffer,
|  | uint16_t | quantity
| ) |  |

Read from a slave I2C device.

Returns
  number of bytes read. If different from quantity, something bad happened.

Parameters

  address | 7-bit I2C address
  acceptBuffer | buffer pointer to fill
  quantity | anticipated length of read

Definition at line 67 of file LT_Wire.cpp.

## ◆ requestFrom() [2/4]

uint8_t LT_TwoWire::requestFrom | ( | uint8_t | address,
|  | uint8_t * | acceptBuffer,
|  | uint16_t | quantity,
|  | uint8_t | sendStop
| ) |  |

Read from a slave I2C device.

Returns
  number of bytes read. If different from quantity, something bad happened.

Parameters

  address | 7-bit I2C address
  acceptBuffer | buffer pointer to fill
  quantity | anticipated length of read
  sendStop | whether to STOP or anticipate a repeated START

Definition at line 58 of file LT_Wire.cpp.

## ◆ requestFrom() [3/4]

uint8_t LT_TwoWire::requestFrom | ( | int | address,
|  | uint8_t * | acceptBuffer,
|  | int | quantity
| ) |  |

Read from a slave I2C device.

Returns
  number of bytes read. If different from quantity, something bad happened.

Parameters

  address | 7-bit I2C address
  acceptBuffer | buffer pointer to fill
  quantity | anticipated length of read

Definition at line 72 of file LT_Wire.cpp.

## ◆ requestFrom() [4/4]

uint8_t LT_TwoWire::requestFrom | ( | int | address,
|  | uint8_t * | acceptBuffer,
|  | int | quantity,
|  | int | sendStop
| ) |  |

Read from a slave I2C device.

Returns
  number of bytes read. If different from quantity, something bad happened.

Parameters

  address | 7-bit I2C address
  acceptBuffer | buffer pointer to fill
  quantity | anticipated length of read
  sendStop | whether to STOP or anticipate a repeated START

Definition at line 77 of file LT_Wire.cpp.

## Constructor & Destructor Documentation

## ◆ LT_TwoWire()

LT_TwoWire::LT_TwoWire | ( |  | ) |

Definition at line 46 of file LT_Wire.cpp.

The documentation for this class was generated from the following files:

- LT_Wire.h
- LT_Wire.cpp